Get organization details
Get details for an organization.
Required permissions: ORGANIZATION
get/tenants/{tenantUid}/organizations/{organizationUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
organizationUidstringRequiredPattern:
Reference to an organization.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
addressstringRequired
citystringRequired
countryCodestringRequired
createdAtstring · date-timeRequired
emailstringRequired
externalIdstringRequired
isActivebooleanRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
postalCodestringRequired
phonestringRequired
organizationUidstringRequiredPattern:
^[A-Za-z0-9-_]+vatNumberstringRequired
VAT identification number for value added tax reporting purposes.
websiteUrlstringRequired
get/tenants/{tenantUid}/organizations/{organizationUid}
GET /v2/tenants/{tenantUid}/organizations/{organizationUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"address": "text",
"city": "text",
"countryCode": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"email": "text",
"externalId": "text",
"isActive": true,
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"name": "text",
"postalCode": "text",
"phone": "text",
"organizationUid": "text",
"vatNumber": "text",
"bankInfo": {
"accountNumber": "text",
"bankName": "text",
"iban": "text",
"swift": "text",
"giroAccountNumber": "text"
},
"websiteUrl": "text",
"appSettings": {
"requireGtinScanBeforeDeliverOut": true
},
"fiscal": {
"unitId": "text",
"credentialsStored": true,
"taxpayerId": "text",
"taxpayerState": ""
}
}Last updated
Was this helpful?

